# setup file tseries

lang=en

DisableWDB=True

datadir=/mnt/data/ADPC

# put in Datadirectory here
GFS0p25datadir={{ noaa_gfs_datadir }}
GEFSdatadir={{ noaa_gefs_datadir }}

Share=/usr/share/tseries/{{ tseries_version }}

#------------------

<Path>

Etc=/etc/tseries/{{ tseries_version }}
Images=$(Share)/pixmaps/
Lang=$(Share)/lang
Styles=$(Share)/style

#------------------

<files>

Defs=$(Styles)/tsDiagrams.def

stdImage=$(Images)/ts_station.xpm
finImage=$(Images)/ts_find.xpm
newImage=$(Images)/ts_new_station.xpm
iconImage=$(Images)/tseries.png
activeImage=$(Images)/ts_active.xpm

WeatherSymbols=$(Etc)/symbols.def
baseFilter=$(Etc)/tseries.filter
commonBookmarks=$(Etc)/tseries-bookmarks.common

fimexBookmarks=$(Home)/.tseries/bookmarks.fimex
Configure=$(Home)/.tseries/tseries-7.1.conf

# Define a timestamp to get data from an URL
# nowtime=%d-%a
# run man date for formatting help

<fimex>
FimexStreamTypes= netcdf : ncml : grbml

<wdb>
host=10.0.0.5

<klima>
url=localhost

<server>

Client=Diana
Name=tseries

Command=/usr/bin/coserver4

<doc>
docURL=https://wiki.met.no/tseries/doc
newsURL=https://wiki.met.no/tseries/news

# ------------------------------------------------
#     F I M E X
# -------------------------------------------------

<streams>

# add Fimex xml configfile by
# DataConfig=filename
# to each stream

CollectionName=FimexData
PreferredDiagram=Meteogram
InitialOpen=0


# GFS -----------------------------

DataFile=$(GFS0p25datadir)/gfs_0p25_20??????_??.nc
DataDescription=GFS 0.25 deg
DataType=netcdf
#Contents=x,x,GFS,x

# GEFS 0.5 degrees -----------------------------

DataFile=$(GEFSdatadir)/gefs_0p5_20??????_??.nc
DataDescription=GEFS 0.5 deg
DataType=netcdf : EPS
#Contents=x,x,GEFS,x




<fimexParameters>
# PETSPAR   = TYPE | fimexname                | Unit | extradim1 start1 len1 | extradim2 ...

MSLP,x,x,x = netcdf | air_pressure_at_sea_level         | hPa
TT,x,x,x   = netcdf | air_temperature_2m                | Celsius
TD,x,x,x   = nectdf | dew_point_temperature_2m          | Celsius
UU,x,x,x   = netcdf | x_wind_10m                        | kt
VV,x,x,x   = netcdf | y_wind_10m                        | kt
FG,x,x,x   = netcdf | fog_area_fraction                 | 0.01
CL,x,x,x   = netcdf | low_type_cloud_area_fraction      | 0.01
CM,x,x,x   = netcdf | medium_type_cloud_area_fraction   | 0.01
CH,x,x,x   = netcdf | high_type_cloud_area_fraction     | 0.01
RRAC,x,x,x = netcdf | precipitation_amount_acc          | kg/m^2
RR,x,x,x   = netcdf | precipitation_amount_acc_6h       | kg/m^2
CC,x,x,x   = netcdf | cloud_area_fraction               | 0.01
RH,x,x,x   = netcdf | relative_humidity_pl              | 1      | isobaric 14 1



#WAVE
HST,x,x,x  = netcdf | sea_surface_wave_significant_height       | m
HSP,x,x,x  = netcdf | significant_wind_wave_height              | m
DDPP,x,x,x = netcdf | sea_surface_wind_wave_to_direction        | degree @ 180
HSD,x,x,x  = netcdf | sea_surface_swell_wave_significant_height | m
TSD,x,x,x  = netcdf | sea_surface_swell_wave_period             | s
TST,x,x,x  = netcdf | mean_wave_period                          | s
TSP,x,x,x  = netcdf | sea_surface_wind_wave_period              | s
DDPD,x,x,x = netcdf | sea_surface_swell_wave_to_direction       | degree @ 180

# EPS ----------------------------------------------------------------------------

CTT,x,x,x  = EPS | air_temperature_2m           | Celsius | ensemble_member 0 1
EPTT,x,x,x = EPS | air_temperature_2m           | Celsius | ensemble_member 1 -1
CPRR,x,x,x = EPS | precipitation_amount_acc     | kg/m^2  | ensemble_member 0 1
EPRR,x,x,x = EPS | precipitation_amount_acc     | kg/m^2  | ensemble_member 1 -1
CPFF,x,x,x = EPS | wind_speed_of_gust           | kt      | ensemble_member 0 1
EPFF,x,x,x = EPS | wind_speed_of_gust           | kt      | ensemble_member 1 -1
